Package org.apache.sling.scriptingbundle.plugin.bnd

## Class BundledScriptsScannerPlugin

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.bnd.BundledScriptsScannerPlugin

All Implemented Interfaces:
  `aQute.bnd.service.AnalyzerPlugin`, `aQute.bnd.service.Plugin`

    public class BundledScriptsScannerPlugin
    extends Object
    implements aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

### Field Summary

Fields
`static String` `GLOB`

### Constructor Summary

Constructors
`BundledScriptsScannerPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `analyzeJar​(aQute.bnd.osgi.Analyzer analyzer)`
`Capabilities` `getCapabilities()`
`Map<String,​String>` `getScriptEngineMappings()`
`void` `setProperties​(Map<String,​String> pluginProperties)`
`void` `setReporter​(aQute.service.reporter.Reporter reporter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GLOB

    public static final String GLOB

See Also:
  Constant Field Values

### Constructor Detail

#### BundledScriptsScannerPlugin

    public BundledScriptsScannerPlugin()

### Method Detail

#### analyzeJar

    public boolean analyzeJar​(aQute.bnd.osgi.Analyzer analyzer)
                       throws Exception

Specified by:
  `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
Throws:
  `Exception`

#### setProperties

    public void setProperties​(Map<String,​String> pluginProperties)

Specified by:
  `setProperties` in interface `aQute.bnd.service.Plugin`

#### setReporter

    public void setReporter​(aQute.service.reporter.Reporter reporter)

Specified by:
  `setReporter` in interface `aQute.bnd.service.Plugin`

#### getCapabilities

    public Capabilities getCapabilities()

#### getScriptEngineMappings

    public Map<String,​String> getScriptEngineMappings()